Last modified: 2013-11-18 04:36:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 53017 - Label for link to original uploaded PDF says "Full resolution" instead of something like "Download file"
Label for link to original uploaded PDF says "Full resolution" instead of som...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.22.0
All All
: Low enhancement (vote)
: ---
Assigned To: Bartosz Dziewoński
: easy
Depends on:
Blocks: messages multimedia
  Show dependency treegraph
 
Reported: 2013-08-19 07:45 UTC by Bartosz Dziewoński
Modified: 2013-11-18 04:36 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bartosz Dziewoński 2013-08-19 07:45:17 UTC
Label for link to original uploaded PDF says "Full resolution" instead of something like "Download file". This is clearly misleading.

Noted on bug 52881 by Tomer Cohen.
Comment 2 Sam Reed (reedy) 2013-08-20 00:00:48 UTC
Message is 'show-big-image'. Needs "overriding" for PDFs I guess.
Comment 3 Liangent 2013-10-19 19:33:41 UTC
.. but it's actually not always a "download" link. Browsers with PDF.js builtin or any other plugins installed may directly display file contents to user in the browser.
Comment 4 Liangent 2013-10-19 19:34:26 UTC
Maybe "Original file"? so it fits both images and PDF files.
Comment 5 Bartosz Dziewoński 2013-10-20 21:14:47 UTC
Hmm, yeah, you're right. So I guess we just need to improve the text, trivial.
Comment 6 Dominic 2013-11-02 04:47:17 UTC
Are you proposing to change the text for all file types, or just PDFs?

I think this should at least apply to all file formats where the preview file format is different from the original file format. There is an inconsistency when "Other resolutions" is serving you JPG previews for a TIFF or PNG previews for a SVG but "Full resolution" gives you the original file format, when one might expect full resolution preview in JPG or PNG as well. "Original file" removes the inconsistency.
Comment 7 Bartosz Dziewoński 2013-11-04 18:57:05 UTC
(In reply to comment #6)
> Are you proposing to change the text for all file types, or just PDFs?

Yes, all of them.
Comment 8 Gerrit Notification Bot 2013-11-16 01:27:52 UTC
Change 95749 had a related patch set uploaded by Bartosz Dziewoński:
Use 'Original file' instead of 'Full resolution' for original file link

https://gerrit.wikimedia.org/r/95749
Comment 9 Gerrit Notification Bot 2013-11-16 02:02:37 UTC
Change 95749 merged by jenkins-bot:
Use 'Original file' instead of 'Full resolution' for original file link

https://gerrit.wikimedia.org/r/95749

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links